Description

When using the puppet module on a fresh install,  we recieve an error about a missing directory.

[root@lab puppet-foreman]# echo include foreman | puppet apply --modulepath .

<snip>

err: /File[/var/lib/puppet/yaml/foreman]/ensure: change from absent to directory failed: Cannot create /var/lib/puppet/yaml/foreman;

parent directory /var/lib/puppet/yaml does not exist

<snip>

History

#1 - 10/21/2011 07:16 PM - Jeff Palmer

I have submitted a pull request with the simple fix for this issue.

https://github.com/ohadlevy/puppet-foreman/pull/5

#2 - 10/22/2011 12:47 AM - Ohad Levy

- Status changed from New to Feedback

this directory is created by the master, i was unsure if this makes sense to create in the foreman module.

if you dont use that server as a master, then simply turn off the enc in the params manifest.

#3 - 10/22/2011 01:27 AM - Jeff Palmer

If the goal is to have a module that handles the complete install of theforeman,  then I would suggest having one of two things happen:

Either,  make sure the module creates the appropriate directories

OR,  have the module make sure that the puppetmaster is installed and started.

Since foreman may be installed standalone,  it may make sense to account for this in the foreman/manifests/params.pp with some setting to make

foreman a standalone or puppetmaster install.  I'm thinking of a true/false value like the others.

If false,  just create the directories.

If true,  install puppetmaster (maybe install it using passenger depending on the setting for that) and start it so it auto-creates the appropriate

directories?

#4 - 11/02/2011 04:48 AM - Ohad Levy

- Status changed from Feedback to Closed

this was resolved by adding that directory into foreman puppet module as part of the Debian integration
